Package org.xnio._private

# Class Messages_$logger

java.lang.Object
org.jboss.logging.DelegatingBasicLogger
org.xnio._private.Messages_$logger

All Implemented Interfaces:
  `Serializable`, `org.jboss.logging.BasicLogger`, `Messages`

public class Messages_$logger extends org.jboss.logging.DelegatingBasicLogger implements Messages, org.jboss.logging.BasicLogger, Serializable
Warning this class consists of generated code.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

`log`

### Fields inherited from interface org.xnio._private.Messages

`closeMsg, futureMsg, listenerMsg, msg, optionParseMsg`

## Constructor Summary

Constructors
Constructor
Description
`Messages_$logger(org.jboss.logging.Logger log)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`acceptFailed(AcceptingChannel<? extends ConnectedChannel> channel, IOException reason)`
`protected String`
`acceptFailed$str()`
`final IllegalArgumentException`
`addressUnresolved(InetSocketAddress bindAddress)`
`protected String`
`addressUnresolved$str()`
`final IllegalArgumentException`
`appBufferTooSmall()`
`protected String`
`appBufferTooSmall$str()`
`final IllegalArgumentException`
`badCompressionFormat()`
`protected String`
`badCompressionFormat$str()`
`final IllegalArgumentException`
`badSockType(Class<? extends SocketAddress> type)`
`protected String`
`badSockType$str()`
`final IllegalStateException`
`blockingNotAllowed()`
`protected String`
`blockingNotAllowed$str()`
`final IllegalStateException`
`bufferFreed()`
`protected String`
`bufferFreed$str()`
`final BufferOverflowException`
`bufferOverflow()`
`protected String`
`bufferOverflow$str()`
`final BufferUnderflowException`
`bufferUnderflow()`
`protected String`
`bufferUnderflow$str()`
`final IllegalArgumentException`
`cantInstantiate(Class<?> clazz, Throwable cause)`
`protected String`
`cantInstantiate$str()`
`final IllegalStateException`
`channelNotAvailable()`
`protected String`
`channelNotAvailable$str()`
`final CharConversionException`
`characterDecodingProblem()`
`protected String`
`characterDecodingProblem$str()`
`final IllegalArgumentException`
`classNotFound(String name, ClassNotFoundException cause)`
`protected String`
`classNotFound$str()`
`final IllegalArgumentException`
`classNotInstance(String name, Class<?> expectedType)`
`protected String`
`classNotInstance$str()`
`final void`
`closingResource(Object resource)`
`protected String`
`closingResource$str()`
`final ConcurrentStreamChannelAccessException`
`concurrentAccess()`
`protected String`
`concurrentAccess$str()`
`final EOFException`
`connectionClosedEarly()`
`protected String`
`connectionClosedEarly$str()`
`final void`
`connectionNotifyReadClosedFailed(Throwable cause, StreamConnection connection)`
`protected String`
`connectionNotifyReadClosedFailed$str()`
`final void`
`connectionNotifyWriteClosedFailed(Throwable cause, StreamConnection connection)`
`protected String`
`connectionNotifyWriteClosedFailed$str()`
`final UnsupportedOperationException`
`copyNegative()`
`protected String`
`copyNegative$str()`
`final IOException`
`deflaterState()`
`protected String`
`deflaterState$str()`
`final IllegalArgumentException`
`differentWorkers()`
`protected String`
`differentWorkers$str()`
`final void`
`exceptionHandlerException(Throwable cause)`
`protected String`
`exceptionHandlerException$str()`
`final void`
`executorSubmitFailed(RejectedExecutionException cause, Channel channel)`
`protected String`
`executorSubmitFailed$str()`
`final void`
`expandedSslBufferEnabled(int bufferSize)`
`protected String`
`expandedSslBufferEnabled$str()`
`final SaslException`
`extraChallenge()`
`protected String`
`extraChallenge$str()`
`final SaslException`
`extraResponse()`
`protected String`
`extraResponse$str()`
`final void`
`failedToCloseSSLEngine(Throwable cause, Exception originalException)`
`protected String`
`failedToCloseSSLEngine$str()`
`final void`
`failedToInvokeFileWatchCallback(Throwable cause)`
`protected String`
`failedToInvokeFileWatchCallback$str()`
`final IllegalArgumentException`
`fieldNotAccessible(String fieldName, Class<?> clazz)`
`protected String`
`fieldNotAccessible$str()`
`final IllegalArgumentException`
`fieldNotStatic(String fieldName, Class<?> clazz)`
`protected String`
`fieldNotStatic$str()`
`final FixedLengthOverflowException`
`fixedOverflow()`
`protected String`
`fixedOverflow$str()`
`final FixedLengthUnderflowException`
`fixedUnderflow(long remaining)`
`protected String`
`fixedUnderflow$str()`
`final IOException`
`flushSmallBuffer()`
`protected String`
`flushSmallBuffer$str()`
`protected Locale`
`getLoggingLocale()`
`final void`
`greeting(String version)`
`protected String`
`greeting$str()`
`final IOException`
`inflaterNeedsDictionary()`
`protected String`
`inflaterNeedsDictionary$str()`
`final InterruptedIOException`
`interruptedIO()`
`final InterruptedIOException`
`interruptedIO(int bytesTransferred)`
`protected String`
`interruptedIO$str()`
`final IllegalArgumentException`
`invalidNullOption(String name)`
`protected String`
`invalidNullOption$str()`
`final void`
`invalidOptionInProperty(String optionName, String name, Throwable problem)`
`protected String`
`invalidOptionInProperty$str()`
`final IllegalArgumentException`
`invalidOptionName(String name)`
`protected String`
`invalidOptionName$str()`
`final IllegalArgumentException`
`invalidOptionPropertyFormat(String value)`
`protected String`
`invalidOptionPropertyFormat$str()`
`final IllegalArgumentException`
`invalidQop(String name)`
`protected String`
`invalidQop$str()`
`final IllegalArgumentException`
`invalidStrength(String name)`
`protected String`
`invalidStrength$str()`
`final IllegalArgumentException`
`invalidURLScheme(String scheme)`
`protected String`
`invalidURLScheme$str()`
`final void`
`listenerException(Throwable cause)`
`protected String`
`listenerException$str()`
`final CharConversionException`
`malformedInput()`
`protected String`
`malformedInput$str()`
`final IOException`
`markNotSet()`
`protected String`
`markNotSet$str()`
`final IllegalArgumentException`
`minRange(String paramName, int minimumValue)`
`protected String`
`minRange$str()`
`final IllegalArgumentException`
`mismatchAddressType(Class<? extends InetAddress> expected, Class<? extends InetAddress> actual)`
`protected String`
`mismatchAddressType$str()`
`final IllegalArgumentException`
`mismatchSockType(Class<? extends SocketAddress> bindType, Class<? extends SocketAddress> destType)`
`protected String`
`mismatchSockType$str()`
`final IllegalArgumentException`
`missingSslProvider()`
`protected String`
`missingSslProvider$str()`
`final IllegalArgumentException`
`mixedDirectAndHeap()`
`protected String`
`mixedDirectAndHeap$str()`
`final IllegalArgumentException`
`noField(String fieldName, Class<?> clazz)`
`protected String`
`noField$str()`
`final IllegalArgumentException`
`noOptionParser()`
`protected String`
`noOptionParser$str()`
`final IllegalArgumentException`
`noProviderFound()`
`protected String`
`noProviderFound$str()`
`final IllegalArgumentException`
`notFromThisProvider()`
`protected String`
`notFromThisProvider$str()`
`final void`
`notifierFailed(Throwable cause, IoFuture.Notifier<?,?> notifier, Object attachment)`
`protected String`
`notifierFailed$str()`
`final IllegalArgumentException`
`nullArrayIndex(String paramName, int index)`
`protected String`
`nullArrayIndex$str()`
`final IllegalArgumentException`
`nullParameter(String name)`
`protected String`
`nullParameter$str()`
`final IllegalArgumentException`
`oneChannelMustBeConnection()`
`protected String`
`oneChannelMustBeConnection$str()`
`final IllegalArgumentException`
`oneChannelMustBeSSL()`
`protected String`
`oneChannelMustBeSSL$str()`
`final CancellationException`
`opCancelled()`
`protected String`
`opCancelled$str()`
`final IOException`
`openModeRequires7()`
`protected String`
`openModeRequires7$str()`
`final TimeoutException`
`opTimedOut()`
`protected String`
`opTimedOut$str()`
`final IllegalArgumentException`
`optionClassNotFound(String className, ClassLoader classLoader)`
`protected String`
`optionClassNotFound$str()`
`final IllegalArgumentException`
`parameterOutOfRange(String name)`
`protected String`
`parameterOutOfRange$str()`
`final SecurityException`
`propReadForbidden()`
`protected String`
`propReadForbidden$str()`
`final IllegalStateException`
`randomWrongThread()`
`protected String`
`randomWrongThread$str()`
`final IOException`
`readAppendNotSupported()`
`protected String`
`readAppendNotSupported$str()`
`final ReadOnlyBufferException`
`readOnlyBuffer()`
`protected String`
`readOnlyBuffer$str()`
`final ReadTimeoutException`
`readTimeout()`
`protected String`
`readTimeout$str()`
`final IOException`
`recvInvalidMsgLength(int length)`
`protected String`
`recvInvalidMsgLength$str()`
`final String`
`redirect()`
`protected String`
`redirect$str()`
`final void`
`resourceCloseFailed(Throwable cause, Object resource)`
`protected String`
`resourceCloseFailed$str()`
`final void`
`resourceReadShutdownFailed(Throwable cause, Object resource)`
`protected String`
`resourceReadShutdownFailed$str()`
`final IllegalArgumentException`
`socketBufferTooSmall()`
`protected String`
`socketBufferTooSmall$str()`
`final IOException`
`streamClosed()`
`protected String`
`streamClosed$str()`
`final IOException`
`txMsgTooLarge()`
`protected String`
`txMsgTooLarge$str()`
`final IOException`
`unexpectedHandshakeStatus(SSLEngineResult.HandshakeStatus status)`
`protected String`
`unexpectedHandshakeStatus$str()`
`final IOException`
`unexpectedUnwrapResult(SSLEngineResult.Status status)`
`protected String`
`unexpectedUnwrapResult$str()`
`final IOException`
`unexpectedWrapResult(SSLEngineResult.Status status)`
`protected String`
`unexpectedWrapResult$str()`
`final IOException`
`unflushedData()`
`protected String`
`unflushedData$str()`
`final CharConversionException`
`unmappableCharacter()`
`protected String`
`unmappableCharacter$str()`
`final UnsupportedOperationException`
`unsupported(String methodName)`
`protected String`
`unsupported$str()`
`final EOFException`
`writeShutDown()`
`protected String`
`writeShutDown$str()`
`final WriteTimeoutException`
`writeTimeout()`
`protected String`
`writeTimeout$str()`
`final IOException`
`wrongBufferExpansion()`
`protected String`
`wrongBufferExpansion$str()`
`final IllegalStateException`
`xnioThreadRequired()`
`protected String`
`xnioThreadRequired$str()`

### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jboss.logging.BasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

## Constructor Details

### Messages_$logger

public Messages_$logger(org.jboss.logging.Logger log)

## Method Details

### getLoggingLocale

protected Locale getLoggingLocale()

### greeting

public final void greeting(String version)

Specified by:
  `greeting` in interface `Messages`

### greeting$str

protected String greeting$str()

### nullParameter$str

protected String nullParameter$str()

### nullParameter

public final IllegalArgumentException nullParameter(String name)

Specified by:
  `nullParameter` in interface `Messages`

### minRange$str

protected String minRange$str()

### minRange

public final IllegalArgumentException minRange(String paramName, int minimumValue)

Specified by:
  `minRange` in interface `Messages`

### badSockType$str

protected String badSockType$str()

### badSockType

public final IllegalArgumentException badSockType(Class<? extends SocketAddress> type)

Specified by:
  `badSockType` in interface `Messages`

### nullArrayIndex$str

protected String nullArrayIndex$str()

### nullArrayIndex

public final IllegalArgumentException nullArrayIndex(String paramName, int index)

Specified by:
  `nullArrayIndex` in interface `Messages`

### mismatchSockType$str

protected String mismatchSockType$str()

### mismatchSockType

public final IllegalArgumentException mismatchSockType(Class<? extends SocketAddress> bindType, Class<? extends SocketAddress> destType)

Specified by:
  `mismatchSockType` in interface `Messages`

### noField$str

protected String noField$str()

### noField

public final IllegalArgumentException noField(String fieldName, Class<?> clazz)

Specified by:
  `noField` in interface `Messages`

### optionClassNotFound$str

protected String optionClassNotFound$str()

### optionClassNotFound

public final IllegalArgumentException optionClassNotFound(String className, ClassLoader classLoader)

Specified by:
  `optionClassNotFound` in interface `Messages`

### fieldNotAccessible$str

protected String fieldNotAccessible$str()

### fieldNotAccessible

public final IllegalArgumentException fieldNotAccessible(String fieldName, Class<?> clazz)

Specified by:
  `fieldNotAccessible` in interface `Messages`

### fieldNotStatic$str

protected String fieldNotStatic$str()

### fieldNotStatic

public final IllegalArgumentException fieldNotStatic(String fieldName, Class<?> clazz)

Specified by:
  `fieldNotStatic` in interface `Messages`

### copyNegative$str

protected String copyNegative$str()

### copyNegative

public final UnsupportedOperationException copyNegative()

Specified by:
  `copyNegative` in interface `Messages`

### invalidOptionInProperty

public final void invalidOptionInProperty(String optionName, String name, Throwable problem)

Specified by:
  `invalidOptionInProperty` in interface `Messages`

### invalidOptionInProperty$str

protected String invalidOptionInProperty$str()

### readOnlyBuffer$str

protected String readOnlyBuffer$str()

### readOnlyBuffer

public final ReadOnlyBufferException readOnlyBuffer()

Specified by:
  `readOnlyBuffer` in interface `Messages`

### bufferUnderflow$str

protected String bufferUnderflow$str()

### bufferUnderflow

public final BufferUnderflowException bufferUnderflow()

Specified by:
  `bufferUnderflow` in interface `Messages`

### bufferOverflow$str

protected String bufferOverflow$str()

### bufferOverflow

public final BufferOverflowException bufferOverflow()

Specified by:
  `bufferOverflow` in interface `Messages`

### parameterOutOfRange$str

protected String parameterOutOfRange$str()

### parameterOutOfRange

public final IllegalArgumentException parameterOutOfRange(String name)

Specified by:
  `parameterOutOfRange` in interface `Messages`

### mixedDirectAndHeap$str

protected String mixedDirectAndHeap$str()

### mixedDirectAndHeap

public final IllegalArgumentException mixedDirectAndHeap()

Specified by:
  `mixedDirectAndHeap` in interface `Messages`

### bufferFreed$str

protected String bufferFreed$str()

### bufferFreed

public final IllegalStateException bufferFreed()

Specified by:
  `bufferFreed` in interface `Messages`

### randomWrongThread$str

protected String randomWrongThread$str()

### randomWrongThread

public final IllegalStateException randomWrongThread()

Specified by:
  `randomWrongThread` in interface `Messages`

### channelNotAvailable$str

protected String channelNotAvailable$str()

### channelNotAvailable

public final IllegalStateException channelNotAvailable()

Specified by:
  `channelNotAvailable` in interface `Messages`

### noOptionParser$str

protected String noOptionParser$str()

### noOptionParser

public final IllegalArgumentException noOptionParser()

Specified by:
  `noOptionParser` in interface `Messages`

### invalidOptionPropertyFormat$str

protected String invalidOptionPropertyFormat$str()

### invalidOptionPropertyFormat

public final IllegalArgumentException invalidOptionPropertyFormat(String value)

Specified by:
  `invalidOptionPropertyFormat` in interface `Messages`

### classNotFound$str

protected String classNotFound$str()

### classNotFound

public final IllegalArgumentException classNotFound(String name, ClassNotFoundException cause)

Specified by:
  `classNotFound` in interface `Messages`

### classNotInstance$str

protected String classNotInstance$str()

### classNotInstance

public final IllegalArgumentException classNotInstance(String name, Class<?> expectedType)

Specified by:
  `classNotInstance` in interface `Messages`

### invalidOptionName$str

protected String invalidOptionName$str()

### invalidOptionName

public final IllegalArgumentException invalidOptionName(String name)

Specified by:
  `invalidOptionName` in interface `Messages`

### invalidNullOption$str

protected String invalidNullOption$str()

### invalidNullOption

public final IllegalArgumentException invalidNullOption(String name)

Specified by:
  `invalidNullOption` in interface `Messages`

### readAppendNotSupported$str

protected String readAppendNotSupported$str()

### readAppendNotSupported

public final IOException readAppendNotSupported()

Specified by:
  `readAppendNotSupported` in interface `Messages`

### openModeRequires7$str

protected String openModeRequires7$str()

### openModeRequires7

public final IOException openModeRequires7()

Specified by:
  `openModeRequires7` in interface `Messages`

### xnioThreadRequired$str

protected String xnioThreadRequired$str()

### xnioThreadRequired

public final IllegalStateException xnioThreadRequired()

Specified by:
  `xnioThreadRequired` in interface `Messages`

### badCompressionFormat$str

protected String badCompressionFormat$str()

### badCompressionFormat

public final IllegalArgumentException badCompressionFormat()

Specified by:
  `badCompressionFormat` in interface `Messages`

### differentWorkers$str

protected String differentWorkers$str()

### differentWorkers

public final IllegalArgumentException differentWorkers()

Specified by:
  `differentWorkers` in interface `Messages`

### oneChannelMustBeConnection$str

protected String oneChannelMustBeConnection$str()

### oneChannelMustBeConnection

public final IllegalArgumentException oneChannelMustBeConnection()

Specified by:
  `oneChannelMustBeConnection` in interface `Messages`

### oneChannelMustBeSSL$str

protected String oneChannelMustBeSSL$str()

### oneChannelMustBeSSL

public final IllegalArgumentException oneChannelMustBeSSL()

Specified by:
  `oneChannelMustBeSSL` in interface `Messages`

### invalidQop$str

protected String invalidQop$str()

### invalidQop

public final IllegalArgumentException invalidQop(String name)

Specified by:
  `invalidQop` in interface `Messages`

### cantInstantiate$str

protected String cantInstantiate$str()

### cantInstantiate

public final IllegalArgumentException cantInstantiate(Class<?> clazz, Throwable cause)

Specified by:
  `cantInstantiate` in interface `Messages`

### concurrentAccess$str

protected String concurrentAccess$str()

### concurrentAccess

public final ConcurrentStreamChannelAccessException concurrentAccess()

Specified by:
  `concurrentAccess` in interface `Messages`

### malformedInput$str

protected String malformedInput$str()

### malformedInput

public final CharConversionException malformedInput()

Specified by:
  `malformedInput` in interface `Messages`

### unmappableCharacter$str

protected String unmappableCharacter$str()

### unmappableCharacter

public final CharConversionException unmappableCharacter()

Specified by:
  `unmappableCharacter` in interface `Messages`

### characterDecodingProblem$str

protected String characterDecodingProblem$str()

### characterDecodingProblem

public final CharConversionException characterDecodingProblem()

Specified by:
  `characterDecodingProblem` in interface `Messages`

### mismatchAddressType$str

protected String mismatchAddressType$str()

### mismatchAddressType

public final IllegalArgumentException mismatchAddressType(Class<? extends InetAddress> expected, Class<? extends InetAddress> actual)

Specified by:
  `mismatchAddressType` in interface `Messages`

### invalidStrength$str

protected String invalidStrength$str()

### invalidStrength

public final IllegalArgumentException invalidStrength(String name)

Specified by:
  `invalidStrength` in interface `Messages`

### addressUnresolved$str

protected String addressUnresolved$str()

### addressUnresolved

public final IllegalArgumentException addressUnresolved(InetSocketAddress bindAddress)

Specified by:
  `addressUnresolved` in interface `Messages`

### missingSslProvider$str

protected String missingSslProvider$str()

### missingSslProvider

public final IllegalArgumentException missingSslProvider()

Specified by:
  `missingSslProvider` in interface `Messages`

### invalidURLScheme$str

protected String invalidURLScheme$str()

### invalidURLScheme

public final IllegalArgumentException invalidURLScheme(String scheme)

Specified by:
  `invalidURLScheme` in interface `Messages`

### extraChallenge$str

protected String extraChallenge$str()

### extraChallenge

public final SaslException extraChallenge()

Specified by:
  `extraChallenge` in interface `Messages`

### extraResponse$str

protected String extraResponse$str()

### extraResponse

public final SaslException extraResponse()

Specified by:
  `extraResponse` in interface `Messages`

### socketBufferTooSmall$str

protected String socketBufferTooSmall$str()

### socketBufferTooSmall

public final IllegalArgumentException socketBufferTooSmall()

Specified by:
  `socketBufferTooSmall` in interface `Messages`

### appBufferTooSmall$str

protected String appBufferTooSmall$str()

### appBufferTooSmall

public final IllegalArgumentException appBufferTooSmall()

Specified by:
  `appBufferTooSmall` in interface `Messages`

### wrongBufferExpansion$str

protected String wrongBufferExpansion$str()

### wrongBufferExpansion

public final IOException wrongBufferExpansion()

Specified by:
  `wrongBufferExpansion` in interface `Messages`

### unexpectedWrapResult$str

protected String unexpectedWrapResult$str()

### unexpectedWrapResult

public final IOException unexpectedWrapResult(SSLEngineResult.Status status)

Specified by:
  `unexpectedWrapResult` in interface `Messages`

### unexpectedHandshakeStatus$str

protected String unexpectedHandshakeStatus$str()

### unexpectedHandshakeStatus

public final IOException unexpectedHandshakeStatus(SSLEngineResult.HandshakeStatus status)

Specified by:
  `unexpectedHandshakeStatus` in interface `Messages`

### unexpectedUnwrapResult$str

protected String unexpectedUnwrapResult$str()

### unexpectedUnwrapResult

public final IOException unexpectedUnwrapResult(SSLEngineResult.Status status)

Specified by:
  `unexpectedUnwrapResult` in interface `Messages`

### notFromThisProvider$str

protected String notFromThisProvider$str()

### notFromThisProvider

public final IllegalArgumentException notFromThisProvider()

Specified by:
  `notFromThisProvider` in interface `Messages`

### failedToCloseSSLEngine

public final void failedToCloseSSLEngine(Throwable cause, Exception originalException)

Specified by:
  `failedToCloseSSLEngine` in interface `Messages`

### failedToCloseSSLEngine$str

protected String failedToCloseSSLEngine$str()

### readTimeout$str

protected String readTimeout$str()

### readTimeout

public final ReadTimeoutException readTimeout()

Specified by:
  `readTimeout` in interface `Messages`

### writeTimeout$str

protected String writeTimeout$str()

### writeTimeout

public final WriteTimeoutException writeTimeout()

Specified by:
  `writeTimeout` in interface `Messages`

### fixedOverflow$str

protected String fixedOverflow$str()

### fixedOverflow

public final FixedLengthOverflowException fixedOverflow()

Specified by:
  `fixedOverflow` in interface `Messages`

### fixedUnderflow$str

protected String fixedUnderflow$str()

### fixedUnderflow

public final FixedLengthUnderflowException fixedUnderflow(long remaining)

Specified by:
  `fixedUnderflow` in interface `Messages`

### recvInvalidMsgLength$str

protected String recvInvalidMsgLength$str()

### recvInvalidMsgLength

public final IOException recvInvalidMsgLength(int length)

Specified by:
  `recvInvalidMsgLength` in interface `Messages`

### writeShutDown$str

protected String writeShutDown$str()

### writeShutDown

public final EOFException writeShutDown()

Specified by:
  `writeShutDown` in interface `Messages`

### txMsgTooLarge$str

protected String txMsgTooLarge$str()

### txMsgTooLarge

public final IOException txMsgTooLarge()

Specified by:
  `txMsgTooLarge` in interface `Messages`

### unflushedData$str

protected String unflushedData$str()

### unflushedData

public final IOException unflushedData()

Specified by:
  `unflushedData` in interface `Messages`

### interruptedIO$str

protected String interruptedIO$str()

### interruptedIO

public final InterruptedIOException interruptedIO()

Specified by:
  `interruptedIO` in interface `Messages`

### interruptedIO

public final InterruptedIOException interruptedIO(int bytesTransferred)

Specified by:
  `interruptedIO` in interface `Messages`

### flushSmallBuffer$str

protected String flushSmallBuffer$str()

### flushSmallBuffer

public final IOException flushSmallBuffer()

Specified by:
  `flushSmallBuffer` in interface `Messages`

### deflaterState$str

protected String deflaterState$str()

### deflaterState

public final IOException deflaterState()

Specified by:
  `deflaterState` in interface `Messages`

### inflaterNeedsDictionary$str

protected String inflaterNeedsDictionary$str()

### inflaterNeedsDictionary

public final IOException inflaterNeedsDictionary()

Specified by:
  `inflaterNeedsDictionary` in interface `Messages`

### connectionClosedEarly$str

protected String connectionClosedEarly$str()

### connectionClosedEarly

public final EOFException connectionClosedEarly()

Specified by:
  `connectionClosedEarly` in interface `Messages`

### streamClosed$str

protected String streamClosed$str()

### streamClosed

public final IOException streamClosed()

Specified by:
  `streamClosed` in interface `Messages`

### markNotSet$str

protected String markNotSet$str()

### markNotSet

public final IOException markNotSet()

Specified by:
  `markNotSet` in interface `Messages`

### redirect$str

protected String redirect$str()

### redirect

public final String redirect()

Specified by:
  `redirect` in interface `Messages`

### unsupported$str

protected String unsupported$str()

### unsupported

public final UnsupportedOperationException unsupported(String methodName)

Specified by:
  `unsupported` in interface `Messages`

### blockingNotAllowed$str

protected String blockingNotAllowed$str()

### blockingNotAllowed

public final IllegalStateException blockingNotAllowed()

Specified by:
  `blockingNotAllowed` in interface `Messages`

### noProviderFound$str

protected String noProviderFound$str()

### noProviderFound

public final IllegalArgumentException noProviderFound()

Specified by:
  `noProviderFound` in interface `Messages`

### opCancelled$str

protected String opCancelled$str()

### opCancelled

public final CancellationException opCancelled()

Specified by:
  `opCancelled` in interface `Messages`

### notifierFailed

public final void notifierFailed(Throwable cause, IoFuture.Notifier<?,?> notifier, Object attachment)

Specified by:
  `notifierFailed` in interface `Messages`

### notifierFailed$str

protected String notifierFailed$str()

### opTimedOut$str

protected String opTimedOut$str()

### opTimedOut

public final TimeoutException opTimedOut()

Specified by:
  `opTimedOut` in interface `Messages`

### propReadForbidden$str

protected String propReadForbidden$str()

### propReadForbidden

public final SecurityException propReadForbidden()

Specified by:
  `propReadForbidden` in interface `Messages`

### failedToInvokeFileWatchCallback

public final void failedToInvokeFileWatchCallback(Throwable cause)

Specified by:
  `failedToInvokeFileWatchCallback` in interface `Messages`

### failedToInvokeFileWatchCallback$str

protected String failedToInvokeFileWatchCallback$str()

### listenerException

public final void listenerException(Throwable cause)

Specified by:
  `listenerException` in interface `Messages`

### listenerException$str

protected String listenerException$str()

### exceptionHandlerException

public final void exceptionHandlerException(Throwable cause)

Specified by:
  `exceptionHandlerException` in interface `Messages`

### exceptionHandlerException$str

protected String exceptionHandlerException$str()

### acceptFailed

public final void acceptFailed(AcceptingChannel<? extends ConnectedChannel> channel, IOException reason)

Specified by:
  `acceptFailed` in interface `Messages`

### acceptFailed$str

protected String acceptFailed$str()

### executorSubmitFailed

public final void executorSubmitFailed(RejectedExecutionException cause, Channel channel)

Specified by:
  `executorSubmitFailed` in interface `Messages`

### executorSubmitFailed$str

protected String executorSubmitFailed$str()

### closingResource

public final void closingResource(Object resource)

Specified by:
  `closingResource` in interface `Messages`

### closingResource$str

protected String closingResource$str()

### resourceCloseFailed

public final void resourceCloseFailed(Throwable cause, Object resource)

Specified by:
  `resourceCloseFailed` in interface `Messages`

### resourceCloseFailed$str

protected String resourceCloseFailed$str()

### resourceReadShutdownFailed

public final void resourceReadShutdownFailed(Throwable cause, Object resource)

Specified by:
  `resourceReadShutdownFailed` in interface `Messages`

### resourceReadShutdownFailed$str

protected String resourceReadShutdownFailed$str()

### expandedSslBufferEnabled

public final void expandedSslBufferEnabled(int bufferSize)

Specified by:
  `expandedSslBufferEnabled` in interface `Messages`

### expandedSslBufferEnabled$str

protected String expandedSslBufferEnabled$str()

### connectionNotifyReadClosedFailed

public final void connectionNotifyReadClosedFailed(Throwable cause, StreamConnection connection)

Specified by:
  `connectionNotifyReadClosedFailed` in interface `Messages`

### connectionNotifyReadClosedFailed$str

protected String connectionNotifyReadClosedFailed$str()

### connectionNotifyWriteClosedFailed

public final void connectionNotifyWriteClosedFailed(Throwable cause, StreamConnection connection)

Specified by:
  `connectionNotifyWriteClosedFailed` in interface `Messages`

### connectionNotifyWriteClosedFailed$str

protected String connectionNotifyWriteClosedFailed$str()